blob: 593c79f0135e14e626dacf4e3fd650a031225fbd (
plain) (
tree)
|
|
#! /bin/sh
#
# $FreeBSD$
#
case $2 in
PRE-INSTALL)
if ! pw groupshow %%GROUP%% 2>/dev/null 1>&2; then
if pw groupadd %%GROUP%% -g %%GID%% ; then
echo 'Added group "%%GROUP%%".'
else
echo 'Adding group "%%GROUP%%" failed...'
exit 1
fi
fi
if ! pw usershow %%USER%% 2>/dev/null 1>&2; then
if pw useradd %%USER%% -u %%UID%% -g %%GROUP%% -h - \
-s /nonexistent -c "SmokePing Daemon"; \
then
echo 'Added user "%%USER%%".'
else
echo 'Adding user "%%USER%%" failed...'
exit 1
fi
fi
exit 0
;;
esac
|